## org.eclipse.emf.common.ui
Class URIEditorInputFactory

    java.lang.Object
      org.eclipse.emf.common.ui.URIEditorInputFactory

All Implemented Interfaces:
  IElementFactory

    public class URIEditorInputFactory

extends java.lang.Object
implements IElementFactory

A implementation of an `IElementFactory` for creating `URIEditorInput` instances.

Field Summary
`static java.lang.String` `ID`

Constructor Summary
`URIEditorInputFactory()`

Method Summary
`IAdaptable` `createElement(IMemento memento)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

Constructor Detail

### URIEditorInputFactory

    public URIEditorInputFactory()

Method Detail

### createElement

    public IAdaptable createElement(IMemento memento)

  Specified by:
    `createElement` in interface `IElementFactory`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.